summaryrefslogtreecommitdiffstats
path: root/net/smokeping/files/smokeping.sh
diff options
context:
space:
mode:
Diffstat (limited to 'net/smokeping/files/smokeping.sh')
-rw-r--r--net/smokeping/files/smokeping.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/net/smokeping/files/smokeping.sh b/net/smokeping/files/smokeping.sh
new file mode 100644
index 0000000..44e3bd0
--- /dev/null
+++ b/net/smokeping/files/smokeping.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -r ${PREFIX}/smokeping/etc/config ] && ${PREFIX}/bin/smokeping > /dev/null && echo -n ' smokeping'
+ ;;
+restart)
+ [ -r ${PREFIX}/smokeping/etc/config ] && ${PREFIX}/bin/smokeping --restart > /dev/null && echo -n ' smokeping'
+ ;;
+stop)
+ [ -r /var/run/smokeping.pid ] && kill `cat /var/run/smokeping.pid` > /dev/null && echo -n ' smokeping'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|restart|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud